Bug 215494 - Update to gnupg 2.0
Update to gnupg 2.0
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: gnupg (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-14 07:12 EST by Leo
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-16 12:16:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leo 2006-11-14 07:12:17 EST
Description of problem:
2.0 has just been released.
http://lists.gnupg.org/pipermail/gnupg-announce/2006q4/000239.html

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Nalin Dahyabhai 2006-11-14 08:45:16 EST
Rex is already building a gnupg2 2.0.0 package for Extras.  Beyond that, we
still need to figure out.
Comment 2 David Shaw 2006-11-14 23:17:22 EST
Is the plan to ship both gnupg2 and gnupg, or just one?
Comment 3 Nalin Dahyabhai 2006-11-15 10:09:25 EST
I haven't gotten in touch with Rex yet.  David, do you have a preference?
Comment 4 David Shaw 2006-11-15 12:33:52 EST
For several reasons, I would argue for both, at least for the near term, and
quite possibly for the long term as well.  gnupg is more proven and tested at
this point (which is not to say the gnupg2 code is bad, just that there are
vastly more people running gnupg).  People have also built gnupg into all sorts
of scripts and processes, and a forced change to gnupg2 stands a good chance of
breaking these.

The "2.x" designation is unfortunate in that it implies that the new version
replaces the "1.x" version.  In fact, the GnuPG project is going to be
maintaining both versions as they serve different purposes.  gnupg and gnupg2
are designed to be able to coexist, so there is no harm in having someone
install both.
Comment 5 Rex Dieter 2006-11-16 12:12:34 EST
See also bug #215803.
Comment 6 Nalin Dahyabhai 2006-11-16 12:16:39 EST
For now at least, I think we'll stick to two packages.  Marking as deferred.

Note You need to log in before you can comment on or make changes to this bug.